<?php
class BuzzAdvertsNewColumns extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'BuzzAdverts_New_Columns';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'advert_templates' => array(
					'is_themeable' => array('type' => 'boolean', 'null' => false, 'default' => '0', 'after' => 'has_image'),
				),
				'adverts' => array(
					'new_window' => array('type' => 'boolean', 'null' => false, 'default' => '0', 'after' => 'url'),
					'theme_id' => array('type' => 'integer', 'null' => true, 'default' => null, 'unsigned' => false, 'after' => 'new_window'),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'advert_templates' => array('is_themeable'),
				'adverts' => array('new_window', 'theme_id'),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
